Browse Source

Initial backbone's Portage tree.

master
Kolan Sh 7 years ago
commit
3b7d0b5466
43 changed files with 2401 additions and 0 deletions
  1. 3
    0
      app-cdr/mdf2iso/Manifest
  2. 661
    0
      app-cdr/mdf2iso/files/mdf2iso-0.3.0-bigfiles.patch
  3. 28
    0
      app-cdr/mdf2iso/mdf2iso-0.3.0-r1.ebuild
  4. 3
    0
      app-editors/oxygenxml/Manifest
  5. 51
    0
      app-editors/oxygenxml/oxygenxml-11.ebuild
  6. 3
    0
      app-misc/nixnote/Manifest
  7. 28
    0
      app-misc/nixnote/nixnote-1.2.ebuild
  8. 11
    0
      dev-util/colormake/ChangeLog
  9. 6
    0
      dev-util/colormake/Manifest
  10. 29
    0
      dev-util/colormake/colormake-0.2-r1.ebuild
  11. 62
    0
      dev-util/colormake/files/.svn/entries
  12. 20
    0
      dev-util/colormake/files/.svn/text-base/colormake-0.2-disable-broken-tagging.patch.svn-base
  13. 20
    0
      dev-util/colormake/files/colormake-0.2-disable-broken-tagging.patch
  14. 7
    0
      dev-util/colormake/files/colormake-0.2-save-pipe-exit-status.patch
  15. 5
    0
      dev-util/colormake/metadata.xml
  16. 28
    0
      games-strategy/0ad-data/0ad-data-11339_alpha9.ebuild
  17. 2
    0
      games-strategy/0ad-data/Manifest
  18. 132
    0
      games-strategy/0ad/0ad-10803.ebuild
  19. 110
    0
      games-strategy/0ad/0ad-11339_alpha9.ebuild
  20. 127
    0
      games-strategy/0ad/0ad-99999.ebuild
  21. 7
    0
      games-strategy/0ad/Manifest
  22. 26
    0
      games-strategy/0ad/files/11339_alpha9-fcollada-makefile.patch
  23. 3
    0
      media-tv/v4l2ucp/Manifest
  24. 19
    0
      media-tv/v4l2ucp/v4l2ucp-2.0.2.ebuild
  25. 4
    0
      net-fs/smbnetfs/Manifest
  26. 47
    0
      net-fs/smbnetfs/files/smbnetfs-0.5.3-0001-configure.in-allow-user-to-explicitly-enable-disable.patch
  27. 11
    0
      net-fs/smbnetfs/files/smbnetfs-reconfigure_file_modes.patch
  28. 46
    0
      net-fs/smbnetfs/smbnetfs-0.5.3-r99.ebuild
  29. 1
    0
      profiles/repo_name
  30. 51
    0
      www-servers/nginx/Manifest
  31. 81
    0
      www-servers/nginx/files/nginx-1.1.5-zero_filesize_check.patch
  32. 71
    0
      www-servers/nginx/files/nginx-r1
  33. 72
    0
      www-servers/nginx/files/nginx.conf-r4
  34. 71
    0
      www-servers/nginx/files/nginx.init-r2
  35. 11
    0
      www-servers/nginx/files/nginx.logrotate
  36. 24
    0
      www-servers/nginx/files/passenger-3.0.1-cflags.patch
  37. 12
    0
      www-servers/nginx/files/passenger-3.0.1-missing-include.patch
  38. 15
    0
      www-servers/nginx/files/passenger-CFLAGS.patch
  39. 407
    0
      www-servers/nginx/nginx-1.1.12.ebuild
  40. 2
    0
      x11-drivers/snail/Manifest
  41. 34
    0
      x11-drivers/snail/snail-1.2.6.ebuild
  42. 2
    0
      x11-themes/gtk-engines-equinox/Manifest
  43. 48
    0
      x11-themes/gtk-engines-equinox/gtk-engines-equinox-1.30.ebuild

+ 3
- 0
app-cdr/mdf2iso/Manifest View File

@@ -0,0 +1,3 @@
AUX mdf2iso-0.3.0-bigfiles.patch 16865 RMD160 824ba97d51eaf07731cb0c786ac193b756a72dca SHA1 9189bf9886bd60e21cc915b1b0739c8fb9f92b33 SHA256 c26944eaba4b9ff4808ecfe3c46117d94f2ed6fbf3a95cebc88f952bd5b375b5
DIST mdf2iso-0.3.0-src.tar.bz2 97723 RMD160 ffb295133265197846758ea6746711a260969cef SHA1 d424bd84a2c45834d7b7060306aa9ee1926c9215 SHA256 7b6622c58bc6a5111eba719d2b55cdfab54cbb26f3aea98b7e5db0eb0062be84
EBUILD mdf2iso-0.3.0-r1.ebuild 662 RMD160 a145fb6fa556ca6213adb3fc602ab55ac26e7301 SHA1 bfa2bcc873090990289a1ebcbfa3bc6b198bf7bc SHA256 b5b79f0359da56dfdffe44ae3ea7a5f40f26efe0395442a256c6852e2a735959

+ 661
- 0
app-cdr/mdf2iso/files/mdf2iso-0.3.0-bigfiles.patch View File

@@ -0,0 +1,661 @@
Only in mdf2iso/src: .deps
Only in mdf2iso.new/src: .kdbgrc.mdf2iso
diff -bur mdf2iso/src/Makefile.am mdf2iso.new/src/Makefile.am
--- mdf2iso/src/Makefile.am 2005-05-19 11:24:11.000000000 +0200
+++ mdf2iso.new/src/Makefile.am 2005-07-31 17:47:36.000000000 +0200
@@ -1,2 +1,3 @@
bin_PROGRAMS = mdf2iso
mdf2iso_SOURCES = mdf2iso.c
+AM_CFLAGS = -D_FILE_OFFSET_BITS=64 -Wall
diff -bur mdf2iso/src/mdf2iso.c mdf2iso.new/src/mdf2iso.c
--- mdf2iso/src/mdf2iso.c 2005-05-22 21:52:08.000000000 +0200
+++ mdf2iso.new/src/mdf2iso.c 2005-07-31 19:41:56.000000000 +0200
@@ -1,4 +1,4 @@
- /* $Id: mdf2iso.c, 22/05/05
+/* $Id: mdf2iso.c, 22/05/05
Copyright (C) 2004,2005 Salvatore Santagati <salvatore.santagati@gmail.com>
@@ -16,19 +16,14 @@
along with this program; if not, write to the
Free Software Foundation, Inc.,
59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
- */
+*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
-#define VERSION "0.3.0"
-
-/* Support Large File */
-
-#define _FILE_OFFSET_BITS 64
-
+#define VERSION "0.3.1"
const char SYNC_HEADER[12] = { (char) 0x00,
@@ -83,14 +78,21 @@
(char) 0x00
};
+#define ISO9660 0
+#define SYNC 1
+#define SYNC_MDF 2
+#define MDF_AUDIO 3
+#define UNKNOWN -1
-void
-toc_file (char *destfilename, int sub)
+int toc_file (char *destfilename, int sub)
{
- char destfiletoc[1024], destfiledat[1024];
+ int ret=0;
+ char *destfiletoc;
+ char *destfiledat;
FILE *ftoc;
- strcpy (destfiletoc, destfilename);
- strcpy (destfiledat, destfilename);
+
+ destfiletoc=strdup(destfilename);
+ destfiledat=strdup(destfilename);
strcpy (destfiletoc + strlen (destfilename) - 4, ".toc");
strcpy (destfiledat + strlen (destfilename) - 4, ".dat");
@@ -100,11 +102,8 @@
fprintf (ftoc, "// Track 1\n");
fprintf (ftoc, "TRACK MODE1_RAW");
- if (sub == 1)
- fprintf (ftoc, " RW_RAW\n");
-
- else
- fprintf (ftoc, "\n");
+ if (sub == 1) fprintf (ftoc, " RW_RAW\n");
+ else fprintf (ftoc, "\n");
fprintf (ftoc, "NO COPY\n");
fprintf (ftoc, "DATAFILE \"%s\"\n", destfiledat);
@@ -114,26 +113,27 @@
}
else
{
- printf ("%s\n", strerror (errno));
- exit (EXIT_FAILURE);
+ printf ("Error opening %s for output: %s\n",destfiletoc,strerror(errno));
+ ret=-1;
};
-
+ free(destfiletoc);
+ free(destfiledat);
+ return ret;
}
-int
-number_file (char *destfilename)
+/*
+int number_file (char *destfilename)
{
int i = 1, test_mdf = 0;
int n_mdf;
char mdf[2], destfilemdf[2354];
FILE *fsource;
+
strcpy (destfilemdf, destfilename);
strcpy (destfilemdf + strlen (destfilename) - 1, ".0");
for (i = 0; test_mdf == 0; i++)
-
{
if ((fsource = fopen (destfilemdf, "rb")) != NULL)
-
{
printf ("\nCheck : ");
sprintf (mdf, "md%d", i);
@@ -141,203 +141,219 @@
printf ("%s, ", destfilemdf);
fclose (fsource);
}
-
else
{
test_mdf = 1;
}
- };
+ }
printf ("\r \n");
n_mdf = i - 1;
return (n_mdf);
}
+*/
-void
-cuesheets (char *destfilename)
+int cuesheets (char *destfilename)
{
- char destfilecue[1024], destfilebin[1024];
+ int ret=0;
+ char *destfilecue;
+ char *destfilebin;
FILE *fcue;
- strcpy (destfilecue, destfilename);
- strcpy (destfilebin, destfilename);
+
+ destfilecue=strdup(destfilename);
+ destfilebin=strdup(destfilename);
strcpy (destfilecue + strlen (destfilename) - 4, ".cue");
strcpy (destfilebin + strlen (destfilename) - 4, ".bin");
- fcue = fopen (destfilecue, "w");
+ if ((fcue = fopen (destfilecue, "w"))!=NULL)
+ {
fprintf (fcue, "FILE \"%s\" BINARY\n", destfilebin);
fprintf (fcue, "TRACK 1 MODE1/2352\n");
fprintf (fcue, "INDEX 1 00:00:00\n");
rename (destfilename, destfilebin);
printf ("Create Cuesheets : %s\n", destfilecue);
fclose (fcue);
+ }
+ else
+ {
+ printf ("Error opening %s for output: %s\n",destfilecue,strerror(errno));
+ ret=-1;
+ }
+ return ret;
}
-void
-main_percent (int percent_bar)
+int previous_percent=-1;
+void main_percent (int percent_bar)
+// Prints a progress bar, takes a percentage as argument.
{
- int progress_bar, progress_space;
+ //int progress_bar, progress_space;
+
+ if (percent_bar==previous_percent) return; // Nothing changed, don't waste CPU cycles.
+
+ printf("%3d%% [:%.*s>%.*s:]\r",percent_bar,20-(percent_bar/5)," ",
+ percent_bar/5,"====================");
+ /*
printf ("%d%% [:", percent_bar);
- for (progress_bar = 1; progress_bar <= (int) (percent_bar / 5);
- progress_bar++)
+ for (progress_bar = 1; progress_bar <= (int) (percent_bar / 5); progress_bar++)
printf ("=");
printf (">");
- for (progress_space = 0; progress_space < (20 - progress_bar);
- progress_space++)
- printf (" ");
+ for (; progress_bar <= 20; ++progress_bar) printf (" ");
printf (":]\r");
+ */
}
-void
-usage ()
+void usage ()
+// Prints the command line syntax
{
- printf ("mdf2iso v%s by Salvatore Santagati\n", VERSION);
- printf ("Web : http//mdf2iso.berlios.de\n");
- printf ("Email : salvatore.santagati@gmail.com\n");
- printf ("Irc : irc.freenode.net #ignus\n");
- printf ("Note : iodellavitanonhocapitouncazzo\n");
- printf ("License : released under the GNU GPL v2 or later\n\n");
+ printf (" Web : http//mdf2iso.berlios.de\n");
+ printf (" Email : salvatore.santagati@gmail.com\n");
+ printf (" Irc : irc.freenode.net #ignus\n");
+ printf (" Note : iodellavitanonhocapitouncazzo\n\n");
printf ("Usage :\n");
- printf ("mdf2iso [OPTION] [BASENAME.MDF] [DESTINATION]\n\n");
- printf ("OPTION\n");
- printf ("\t--toc Generate toc file\n");
- printf ("\t--cue Generate cue file\n");
- printf ("\t--help display this notice\n\n");
+ printf ("mdf2iso [--cue|--toc|--help] <sourcefile> [destfile]\n\n");
+ printf ("Options:\n");
+ printf (" --toc Generate toc/dat files\n");
+ printf (" --cue Generate cue/bin files\n");
+ printf (" --help Display this notice\n");
+ printf (" sourcefile\tFilename of the .mdf file to be converted\n");
+ printf (" destfile\tFilename of the target ISO9660 file.\n"\
+ "\t\tIf none given, one is derived from sourcefile.\n\n");
}
-int
-main (int argc, char **argv)
+char mdftype(FILE *f)
+/* returns
+ -1 for unknown
+ 0 for ISO9660
+ 1 for SYNC
+ 2 for SYNC MDF
+ 3 for MDF Audio
+ (see #defines above)
+*/
{
- int seek_ecc, sector_size, seek_head, sector_data, n_mdf;
+ char buf[12];
+
+ fseek(f, 32768, SEEK_SET);
+ fread(buf, sizeof (char), 8, f);
+ if (!memcmp (ISO_9660, buf, 8)) return ISO9660; // File is ISO9660
+
+ fseek(f, 0L, SEEK_SET);
+ fread(buf, sizeof (char), 12, f);
+
+ fseek (f, 2352, SEEK_SET);
+
+ if (!memcmp (SYNC_HEADER, buf, 12)) // Has SYNC_HEADER
+ {
+ fread (buf, sizeof (char), 12, f);
+ if (!memcmp (SYNC_HEADER_MDF, buf, 12)) return SYNC_MDF; // File is SYNC MDF
+ if (!memcmp (SYNC_HEADER, buf, 12)) return SYNC; // File is SYNC
+ }
+ else // Does not have SYNC_HEADER
+ {
+ fread(buf, sizeof (char), 12, f);
+ if (!memcmp (SYNC_HEADER_MDF_AUDIO, buf, 12)) return MDF_AUDIO; // File is MDF Audio
+ }
+
+ // Reached a point where nothing else matters.
+ return UNKNOWN; // Unknown format
+}
+
+
+// === Main program code ===
+
+int main (int argc, char **argv)
+{
+ int seek_ecc, sector_size, seek_head, sector_data;//, n_mdf;
int cue = 0, cue_mode = 0, sub = 1, toc = 0, sub_toc = 0;
int opts = 0;
- double size_iso, write_iso;
- long percent = 0;
- long i, source_length, progressbar;
- char buf[2448], destfilename[2354];
+ long i, source_length;
+ char buf[2448];
+ char *destfilename=NULL;
+ char *basefilename=NULL;
FILE *fdest, *fsource;
+ // Print identification
+ printf ("mdf2iso v%s by Salvatore Santagati\n", VERSION);
+ printf ("Licensed under GPL v2 or later\n");
- if (argc < 2)
+ // *** Process command line options ***
+
+ if (argc < 2)
{
- usage ();
- exit (EXIT_FAILURE);
+ // Not enough parameters; print help
+ usage();
+ exit(EXIT_FAILURE);
}
- else
-
- {
+ // Search for options --cue and --toc
for (i = 0; i < argc; i++)
-
{
-
if (!strcmp (argv[i], "--help"))
-
{
usage ();
exit (EXIT_SUCCESS);
}
if (!strcmp (argv[i], "--cue"))
-
{
cue = 1;
opts++;
}
if (!strcmp (argv[i], "--toc"))
-
{
toc = 1;
opts++;
}
}
- if ((cue == 1) && (toc == 1))
-
- {
- usage ();
- exit (EXIT_FAILURE);
- }
- if ((opts == 1) && (argc <= 2))
-
+ // Catch impossible parameter combinations
+ if (((cue == 1) && (toc == 1)) ||
+ ((opts == 1) && (argc <= 2)))
{
- usage ();
- exit (EXIT_FAILURE);
+ usage();
+ exit(EXIT_FAILURE);
}
+ // Get the base filename
+ basefilename=argv[1+opts]; // simple pointer, but makes life easier.
+ // Get the destination filename
if (argc >= (3 + opts))
- strcpy (destfilename, argv[2 + opts]);
-
- else
-
- {
- strcpy (destfilename, argv[1 + opts]);
- if (strlen (argv[1 + cue]) < 5
- || strcmp (destfilename + strlen (argv[1 + opts]) - 4, ".mdf"))
- strcpy (destfilename + strlen (argv[1 + opts]), ".iso");
-
+ // The destination filename is explicitly entered at the prompt
+ destfilename=strdup(argv[2 + opts]);
else
- strcpy (destfilename + strlen (argv[1 + opts]) - 4, ".iso");
- }
- if ((fsource = fopen (argv[1 + opts], "rb")) != NULL)
-
{
- fseek (fsource, 32768, SEEK_CUR);
- fread (buf, sizeof (char), 8, fsource);
- if (memcmp (ISO_9660, buf, 8))
-
+ // Derive destination filename from the basename:
+ // If basename is "*.mdf" use "*.iso" als destname
+ // otherwise simply append ".iso" to the basename to create destname.
+ destfilename=strdup(basefilename);
+ i=strlen(destfilename); // Reusing 'i' here as temporary variable
+ if (i < 5 || strcmp(destfilename + i - 4, ".mdf"))
{
- fseek (fsource, 0L, SEEK_SET);
- fread (buf, sizeof (char), 12, fsource);
- if (!memcmp (SYNC_HEADER, buf, 12))
-
- {
- fseek (fsource, 0L, SEEK_SET);
- fseek (fsource, 2352, SEEK_CUR);
- fread (buf, sizeof (char), 12, fsource);
- if (!memcmp (SYNC_HEADER_MDF, buf, 12))
-
- {
- if (cue == 1)
- {
- cue_mode = 1;
-
- /* BAD SECTOR TO NORMAL IMAGE */
- seek_ecc = 96;
- sector_size = 2448;
- sector_data = 2352;
- seek_head = 0;
- }
-
- else if (toc == 0)
-
- {
-
- /*BAD SECTOR */
- seek_ecc = 384;
- sector_size = 2448;
- sector_data = 2048;
- seek_head = 16;
+ destfilename=realloc(destfilename,i+5);
+ strcat(destfilename, ".iso");
}
-
else
-
- {
-
- /*BAD SECTOR */
- seek_ecc = 0;
- sector_size = 2448;
- sector_data = 2448;
- seek_head = 0;
- sub_toc = 1;
- }
+ strcpy(destfilename + i - 3, "iso");
}
- else
+ // *** Preprocess basefile ***
+ // Try opening basefile
+ if ((fsource = fopen(basefilename, "rb")) == NULL)
{
- if (!memcmp (SYNC_HEADER, buf, 12))
+ free(destfilename);
+ printf ("Could not open %s: %s\n", basefilename, strerror(errno));
+ exit (EXIT_FAILURE);
+ }
+ // Determine filetype & set some stuff accordingly (or exit)
+ switch (mdftype(fsource))
{
+ case ISO9660:
+ printf("%s is already ISO9660.\n",basefilename);
+ fclose(fsource);
+ free(destfilename);
+ exit(EXIT_SUCCESS);
+ case SYNC:
if (cue == 1)
{
cue_mode = 1;
@@ -348,129 +364,134 @@
seek_head = 0;
}
if (toc == 0)
-
{
-
/*NORMAL IMAGE */
seek_ecc = 288;
sector_size = 2352;
sector_data = 2048;
seek_head = 16;
}
-
else
-
{
seek_ecc = 0;
sector_size = 2352;
sector_data = 2352;
seek_head = 0;
}
- }
-
- else
-
- {
- printf ("Sorry I don't know this format :(\n");
- exit (EXIT_FAILURE);
- }
- }
- }
-
- else
-
+ break;
+ case SYNC_MDF:
+ if (cue == 1)
{
- fseek (fsource, 0L, SEEK_SET);
- fseek (fsource, 2352, SEEK_CUR);
- fread (buf, sizeof (char), 12, fsource);
- if (memcmp (SYNC_HEADER_MDF_AUDIO, buf, 12))
+ cue_mode = 1;
+ /* BAD SECTOR TO NORMAL IMAGE */
+ seek_ecc = 96;
+ sector_size = 2448;
+ sector_data = 2352;
+ seek_head = 0;
+ }
+ else if (toc == 0)
{
- printf ("Sorry I don't know this format :(\n");
- exit (EXIT_FAILURE);
+ /*BAD SECTOR */
+ seek_ecc = 384;
+ sector_size = 2448;
+ sector_data = 2048;
+ seek_head = 16;
}
-
else
-
{
-
+ /*BAD SECTOR */
+ seek_ecc = 0;
+ sector_size = 2448;
+ sector_data = 2448;
+ seek_head = 0;
+ sub_toc = 1;
+ }
+ break;
+ case MDF_AUDIO:
/*BAD SECTOR AUDIO */
seek_head = 0;
sector_size = 2448;
seek_ecc = 96;
sector_data = 2352;
cue = 0;
+ break;
+ default:printf("Unknown format for %s.\n",basefilename);
+ fclose(fsource);
+ free(destfilename);
+ exit (EXIT_FAILURE);
}
- }
- if ((fdest = fopen (destfilename, "wb")) != NULL);
- else
+ // *** Create destination file ***
+
+ // Try opening the destination file for output
+ if ((fdest = fopen (destfilename, "wb")) == NULL)
{
- printf ("%s\n", strerror (errno));
+ printf ("Unable to open %s for output: %s\n",destfilename,strerror(errno));
+ free(destfilename);
+ fclose(fsource);
exit (EXIT_FAILURE);
- };
+ }
+
+
fseek (fsource, 0L, SEEK_END);
source_length = ftell (fsource) / sector_size;
- size_iso = (int) (source_length * sector_data);
- progressbar = 100 / source_length;
fseek (fsource, 0L, SEEK_SET);
-
{
for (i = 0; i < source_length; i++)
-
{
fseek (fsource, seek_head, SEEK_CUR);
- if (fread (buf, sizeof (char), sector_data, fsource));
-
- else
+ if (fread(buf, sizeof (char), sector_data, fsource)!=sector_data)
{
- printf ("%s\n", strerror (errno));
+ printf ("Error reading from %s: %s\n",basefilename, strerror (errno));
+ fclose(fsource);
+ fclose(fdest);
+ remove(destfilename);
+ free(destfilename);
exit (EXIT_FAILURE);
- };
- if (fwrite (buf, sizeof (char), sector_data, fdest));
-
- else
+ }
+ if (fwrite (buf, sizeof (char), sector_data, fdest)!=sector_data)
{
- printf ("%s\n", strerror (errno));
+ printf ("Error writing to %s: %s\n",destfilename, strerror (errno));
+ fclose(fsource);
+ fclose(fdest);
+ remove(destfilename);
+ free(destfilename);
exit (EXIT_FAILURE);
- };
+ }
fseek (fsource, seek_ecc, SEEK_CUR);
- write_iso = (int) (sector_data * i);
- if (i != 0)
- percent = (int) (write_iso * 100 / size_iso);
- main_percent (percent);
- }} printf ("100%%[:====================:]\n");
+ main_percent(i*100/source_length);
+ }
+ } printf ("100%% [:=====================:]\n");
fclose (fsource);
fclose (fdest);
- if (cue == 1)
- cuesheets (destfilename);
- if (toc == 1)
- toc_file (destfilename, sub_toc);
+ // *** create Toc or Cue file is requested ***
+ if (cue == 1) if (cuesheets(destfilename))
+ {
+ free(destfilename);
+ exit(EXIT_FAILURE);
+ }
+ if (toc == 1) if (toc_file(destfilename, sub_toc))
+ {
+ free(destfilename);
+ exit(EXIT_FAILURE);
+ }
if ((toc == 0) && (cue == 0))
- printf ("Create iso9660: %s\n", destfilename);
+ printf("Created iso9660: %s\n", destfilename);
+
+ free(destfilename);
exit (EXIT_SUCCESS);
- }
- else
- printf ("This is file iso9660 ;)\n");
+/*
n_mdf = number_file (destfilename) - 1;
- /* if (n_mdf > 1)
-
+ / * if (n_mdf > 1)
{
printf ("\rDetect %d md* file and now emerge this\n", n_mdf);
}
- */
+ * /
fclose (fsource);
- exit (EXIT_SUCCESS);
- }
-
- else
- {
- printf ("%s\n", strerror (errno));
- exit (EXIT_FAILURE);
- };
- }
+ exit (EXIT_SUCCESS);*/
}


+ 28
- 0
app-cdr/mdf2iso/mdf2iso-0.3.0-r1.ebuild View File

@@ -0,0 +1,28 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-cdr/mdf2iso/Attic/mdf2iso-0.3.0-r1.ebuild,v 1.8 2009/12/01 19:54:35 vostorga dead $

inherit autotools eutils

DESCRIPTION="Alcohol 120% bin image to ISO image file converter"
HOMEPAGE="http://mdf2iso.berlios.de/"
SRC_URI="mirror://berlios/${PN}/${P}-src.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc x86"
IUSE=""

S=${WORKDIR}/${PN}

src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}"/${P}-bigfiles.patch
eautoreconf
}

src_install() {
dobin src/${PN} || die "dobin failed."
dodoc ChangeLog
}

+ 3
- 0
app-editors/oxygenxml/Manifest View File

@@ -0,0 +1,3 @@
DIST oxygen.tar.gz 89540486 RMD160 838899d5b2e25327952832831472d0bd58c18140 SHA1 22cca9bc010a74f1a116b9985f1f6b83851b2ed7 SHA256 a5f81640f8e992b31caf3e728dc0597e1bc7ff50f3cb1861ac7093338ff4501e
EBUILD oxygenxml-11.ebuild 1518 RMD160 6901517f289f9c7e483a18168d764d0b2d682cb7 SHA1 3c12adc768ba5a255319ca089b9eb7fbd0f51841 SHA256 718f7e6c074fd5bad19a2ca689c22ce7e563761a15fd39233e102d98f771bee5
MISC Manifest.bkp 424 RMD160 24b4ff8263172c2dcbe0aff71db6673322771d30 SHA1 b6ce98b4f030a468a5f5e1a7c64d01b83214b0ea SHA256 12020647bc1a1a1aa6e76c5c8881e97ca0a454863d51f3369774c71a0f2fee74

+ 51
- 0
app-editors/oxygenxml/oxygenxml-11.ebuild View File

@@ -0,0 +1,51 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: Ilya Kashirin (seclorum@seclorum.ru)

EAPI=2

inherit eutils

DESCRIPTION="Oxygen XML Editor is a complete cross platform XML editor providing the tools for XML authoring, XML conversion, XML Schema, DTD, Relax NG and Schematron development, XPath, XSLT, XQuery debugging, SOAP and WSDL testing."
HOMEPAGE="http://oxygenxml.com"
SRC_URI="http://mirror.oxygenxml.com/InstData/Editor/All/oxygen.tar.gz -> oxygen.tar.gz"

LICENSE="Oxygen"
SLOT="0"
KEYWORDS="~x86"
IUSE=""
DEPEND=">=dev-java/sun-jdk-1.6"

INSTALL_DIR="/opt/${PN}"
S=${WORKDIR}/oxygen

src_unpack () {
unpack ${A}
cd ${S}
}

src_compile() {
echo "Nothing to compile."
}

src_install() {
dodir ${INSTALL_DIR}
cp -R ${S}/* ${D}/${INSTALL_DIR}/ || die "Install failed!"
dosym ${INSTALL_DIR}/oxygen.sh /usr/bin/oxygenxml
doicon ${S}/Oxygen128.png
make_desktop_entry "oxygenxml" "Oxygen XML Editor" Oxygen128.png "Application;Development"
}

pkg_postinst() {
echo ""
einfo "To run Oxygen XML Editor use oxygenxml command"
einfo "If you have troubles with \"Assertion c->xlib.lock failed\" then"
einfo "you need do follow (http://bugs.freedesktop.org/show_bug.cgi?id=9336)"
einfo "For sun-java5-bin:"
einfo "sed -i 's/XINERAMA/FAKEEXTN/g' /usr/lib/jvm/sun-jdk-1.5/jre/lib/i386/xawt/libmawt.so"
einfo "For sun-java6-bin:"
einfo "sed -i 's/XINERAMA/FAKEEXTN/g' /usr/lib/jvm/sun-jdk-1.6/jre/lib/i386/xawt/libmawt.so"
echo ""

}

+ 3
- 0
app-misc/nixnote/Manifest View File

@@ -0,0 +1,3 @@
DIST nixnote-1.2_amd64.tar.gz 53887850 RMD160 f457bfb6fdd9ffcfa1527ec4c4a39aad5b434e85 SHA1 7a5614f1415d97983a80c0edb9b228dd20378238 SHA256 de8d24287f79ec2575704abf17e52843c9f3e8bc2a5bf05ab149954784002eb5
DIST nixnote-1.2_i386.tar.gz 53425587 RMD160 cba3f04b0bfd16906ae410328350731ab1f13e47 SHA1 abda0de4d1d229503f99c4666a2b977e6a86bdae SHA256 a96d57628b493fb494e14a7fa51db1c347c119efe51556d02887613530b0ee97
EBUILD nixnote-1.2.ebuild 557 RMD160 49bf62eedcf537d1dea89382740f04f12c273eab SHA1 54562fa337c2c60ff882c60c0e94038547de6a2c SHA256 0f8c48f755250639248461e1c7fc5be87a451f102a64092e4f31f615771ba665

+ 28
- 0
app-misc/nixnote/nixnote-1.2.ebuild View File

@@ -0,0 +1,28 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2

inherit eutils

DESCRIPTION="An open source Evernote clone"
HOMEPAGE="http://nevernote.sourceforge.net/index.htm"
SRC_URI="x86? ( mirror://sourceforge/nevernote/${P}_i386.tar.gz )
amd64? ( mirror://sourceforge/nevernote/${P}_amd64.tar.gz )"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=""
RDEPEND=">=virtual/jdk-1.5
media-libs/libpng:1.2"

S="${PN}"
src_install() {
cp -rf "${S}/usr" "${D}/"
}



+ 11
- 0
dev-util/colormake/ChangeLog View File

@@ -0,0 +1,11 @@
# ChangeLog for dev-util/colormake
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $

23 Oct 2010; Sebastian Pipping <sping@gentoo.org> colormake-0.2.ebuild:
Add ~amd64 keyword

26 Dec 2008; Sebastian Pipping (sping) <sebastian@pipping.org>
+colormake-0.2.ebuild, +files/colormake-0.2-disable-broken-tagging.patch,
+metadata.xml:
New ebuild for bug 252313

+ 6
- 0
dev-util/colormake/Manifest View File

@@ -0,0 +1,6 @@
AUX colormake-0.2-disable-broken-tagging.patch 661 RMD160 c9cee92d1a83b3696ec2ee75ef037ab4734112b8 SHA1 5e2fde865ffe028f5bfea6cb69fd938b5671105c SHA256 b61d0262b8a69edf7c20b07c5698122a35ad251ea5e542bd9926a622daefa944
AUX colormake-0.2-save-pipe-exit-status.patch 177 RMD160 a20943339dfaa80fc733e5837e1b7bd0cc4e90b3 SHA1 979ee9eaf4878c6be528ef02772c4752a48942a7 SHA256 98a95b839da18d36bbca507e1374db4c1bccea8bbb41e590d75dc4fa40051c5c
DIST colormake-0.2.tar.gz 9871 RMD160 b39e22de6ed72a5874af56e2fc46774a9452af4d SHA1 d24e1cd27c121aba86b1610616848228eebd1393 SHA256 8e7cc49acbc2b9b52ce2d87993f709e6813f0ba3aff0b0bbe7630c3a24aff969
EBUILD colormake-0.2-r1.ebuild 661 RMD160 e941b599d2c4ad04a1ca08c794db64fb0ae2a8f1 SHA1 fd33688f71f8598fbd960b5ab7cdeefc3f843342 SHA256 5178058dd21f693bb96294e2a615d17f5d3256980d3cb135154f1e3c6c75ff28
MISC ChangeLog 401 RMD160 d85ebf7cd9ddd355508f8955725f432ff44998db SHA1 a73e3197c52ee026c17301fa44e0e20bd3c8a05c SHA256 8e421e7b3cf41b42e39be0004ed37851540ca994de9c9d2e76bfce9a6110746e
MISC metadata.xml 208 RMD160 c18611400760e42bdd001905be0a63c2e963bcea SHA1 595816105cac477cb85792a182e15888029118a1 SHA256 c4841c87f0c2b9b5e679a27dc72180be8d508fb3f5df0fbab2ec2c805c0a6d82

+ 29
- 0
dev-util/colormake/colormake-0.2-r1.ebuild View File

@@ -0,0 +1,29 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
inherit eutils

DESCRIPTION="Colorizing wrapper around make"
HOMEPAGE="http://bre.klaki.net/programs/colormake/"
SRC_URI="${HOMEPAGE}${P}.tar.gz"
LICENSE="GPL-2"

SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="vanilla"
RDEPEND="dev-lang/perl"

S=${WORKDIR}/${PN}

src_unpack() {
unpack ${A}
cd "${S}"
use vanilla || epatch "${FILESDIR}"/${P}-disable-broken-tagging.patch
epatch "${FILESDIR}"/${P}-save-pipe-exit-status.patch
mv cmake colormake # prevent clash with dev-util/cmake
rm Makefile
}

src_install() {
dobin colormake{,.pl} || die
}

+ 62
- 0
dev-util/colormake/files/.svn/entries View File

@@ -0,0 +1,62 @@
10

dir
12452
svn://overlays.gentoo.org/proj/sunrise/reviewed/dev-util/colormake/files
svn://overlays.gentoo.org/proj/sunrise



2008-12-27T03:35:49.698343Z
7549
tommy














12608f7e-a915-0410-b2f3-ce240db1b126
colormake-0.2-disable-broken-tagging.patch
file




2011-07-18T07:06:02.000000Z
424b53f9c3bdb4cd9c69241d92f0c787
2008-12-27T03:35:49.698343Z
7549
tommy





















661

+ 20
- 0
dev-util/colormake/files/.svn/text-base/colormake-0.2-disable-broken-tagging.patch.svn-base View File

@@ -0,0 +1,20 @@
--- colormake.pl 2000-03-08 00:58:33.000000000 +0100
+++ colormake.pl 2008-12-22 02:52:02.000000000 +0100
@@ -27,7 +27,7 @@
$col_green = "\033[32m";
$col_cyan = "\033[36m";
$col_brown = "\033[33m";
-$col_norm = "\033[00m";
+$col_norm = "\033[00m";
$col_background = "\033[07m";
$col_brighten = "\033[01m";
$col_underline = "\033[04m";
@@ -42,7 +42,7 @@
$col_linenum = $col_cyan;
$col_trace = $col_brown;
$col_warning = $col_green;
-$tag_error = "Error: ";
+$tag_error = "";
$col_error = $tag_error . $col_brown . $col_brighten;
$error_highlight = $col_brighten;

+ 20
- 0
dev-util/colormake/files/colormake-0.2-disable-broken-tagging.patch View File

@@ -0,0 +1,20 @@
--- colormake.pl 2000-03-08 00:58:33.000000000 +0100
+++ colormake.pl 2008-12-22 02:52:02.000000000 +0100
@@ -27,7 +27,7 @@
$col_green = "\033[32m";
$col_cyan = "\033[36m";
$col_brown = "\033[33m";
-$col_norm = "\033[00m";
+$col_norm = "\033[00m";
$col_background = "\033[07m";
$col_brighten = "\033[01m";
$col_underline = "\033[04m";
@@ -42,7 +42,7 @@
$col_linenum = $col_cyan;
$col_trace = $col_brown;
$col_warning = $col_green;
-$tag_error = "Error: ";
+$tag_error = "";
$col_error = $tag_error . $col_brown . $col_brighten;
$error_highlight = $col_brighten;

+ 7
- 0
dev-util/colormake/files/colormake-0.2-save-pipe-exit-status.patch View File

@@ -0,0 +1,7 @@
--- cmake.orig 1999-10-08 18:18:11.000000000 +0400
+++ cmake 2012-02-17 17:28:43.134573122 +0400
@@ -5,3 +5,4 @@
#
make $* 2>&1 | colormake.pl `stty size`
+exit $PIPESTATUS

+ 5
- 0
dev-util/colormake/metadata.xml View File

@@ -0,0 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer><email>maintainer-wanted@gentoo.org</email></maintainer>
</pkgmetadata>

+ 28
- 0
games-strategy/0ad-data/0ad-data-11339_alpha9.ebuild View File

@@ -0,0 +1,28 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

inherit games

MY_PV="r${PV%_*}-alpha"
MY_PN=${PN%-data}
MY_P=${MY_PN}-${MY_PV}

DESCRIPTION="Data files for 0ad"
HOMEPAGE="http://wildfiregames.com/0ad/"
SRC_URI="http://releases.wildfiregames.com/${MY_P}-unix-data.tar.xz"

LICENSE="GPL-2 CCPL-Attribution-ShareAlike-3.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

S=${WORKDIR}/${MY_P}

src_install() {
insinto "${GAMES_DATADIR}"/${MY_PN}
doins -r binaries/data/* || die
prepgamesdirs
}

+ 2
- 0
games-strategy/0ad-data/Manifest View File

@@ -0,0 +1,2 @@
DIST 0ad-r11339-alpha-unix-data.tar.xz 294663484 RMD160 0955d2cc141f16bb1b0cbd58265e72e2b906cb7d SHA1 9178093bd71251b27bc2c85189f657a91c4e34b5 SHA256 ac4cb17478eed633e1b0c975b052706797628fac399147d6301c4001100170b4
EBUILD 0ad-data-11339_alpha9.ebuild 563 RMD160 1979c73f79198c3a0720173c983ea2ab43d112af SHA1 9685a40f59b7077474ee061f06c5f4db5b9ad339 SHA256 e5c7f1da1ed3594ef05919c09033071d4942b9ba769519d241c4a54d7bb6a947

+ 132
- 0
games-strategy/0ad/0ad-10803.ebuild View File

@@ -0,0 +1,132 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="3"

inherit eutils wxwidgets games

MY_P="0ad-r${PV}-alpha"
S="${WORKDIR}/${MY_P}"

DESCRIPTION="0 A.D. is a free, real-time strategy game currently under development by Wildfire Games."
HOMEPAGE="http://wildfiregames.com/0ad/"
SRC_URI="mirror://sourceforge/zero-ad/${MY_P}-unix-build.tar.xz
mirror://sourceforge/zero-ad/${MY_P}-unix-data.tar.xz"

LICENSE="GPL-2 CCPL-Attribution-ShareAlike-3.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="debug editor pch test"

RDEPEND=">=dev-lang/spidermonkey-1.8.5
dev-libs/boost
dev-libs/libxml2
media-libs/devil
media-libs/openal
media-libs/libogg
media-libs/libpng
media-libs/libsdl[joystick]
media-libs/libvorbis
net-libs/enet:1.3
net-misc/curl
sys-libs/zlib
virtual/fam
virtual/jpeg
virtual/opengl
editor? ( x11-libs/wxGTK:2.8 )"

DEPEND="${RDEPEND}
app-arch/zip
dev-lang/nasm
dev-util/cmake"

RESTRICT="strip mirror"

dir=${GAMES_PREFIX_OPT}/${PN}

pkg_setup() {
games_pkg_setup
if use editor ; then
WX_GTK_VER=2.8 need-wxwidgets unicode
fi
}

src_prepare() {
epatch "${FILESDIR}"/premake-archless.patch
epatch "${FILESDIR}"/premake-script-archless.patch
}

src_compile() {
UPDATE_ARGS="--with-system-enet --with-system-mozjs185"

if ! use editor ; then
UPDATE_ARGS="${UPDATE_ARGS} --disable-atlas"
fi

cd "${S}/build/workspaces"
einfo "Running update-workspaces.sh with ${UPDATE_ARGS}"
./update-workspaces.sh ${UPDATE_ARGS} || die "update-workspaces.sh failed"
cd gcc

TARGETS="pyrogenesis Collada"
if use test ; then
TARGETS="${TARGETS} test"
fi
if use editor ; then
TARGETS="${TARGETS} AtlasUI"
fi
if use debug ; then
CONFIG=Debug
else
CONFIG=Release
fi
CONFIG=${CONFIG} emake ${TARGETS} || die "Can't build"
}

src_test() {
cd "${S}/binaries/system"
if use debug ; then
./test_dbg || die "Tests failed"
else
./test || die "Tests failed"
fi
}

src_install() {
cd "${S}"/binaries
insinto "${dir}"
doins -r data || die "doins -r failed"

insinto "${dir}"/system

doins "${S}"/binaries/system/libnvcore.so || die "doins failed"
doins "${S}"/binaries/system/libnvimage.so || die "doins failed"
doins "${S}"/binaries/system/libnvmath.so || die "doins failed"
doins "${S}"/binaries/system/libnvtt.so || die "doins failed"

if use debug ; then
# doins "${S}"/binaries/system/libmozjs185-ps-debug.so.1.0 || die "doins failed"
doins "${S}"/binaries/system/libCollada_dbg.so || die "doins failed"
if use editor ; then
doins "${S}"/binaries/system/libAtlasUI_dbg.so || die "doins failed"
fi
EXE_NAME=pyrogenesis_dbg
else
# doins "${S}"/binaries/system/libmozjs185-ps-release.so.1.0 || die "doins failed"
doins "${S}"/binaries/system/libCollada.so || die "doins failed"
if use editor ; then
doins "${S}"/binaries/system/libAtlasUI.so || die "doins failed"
fi
EXE_NAME=pyrogenesis
fi

exeinto "${dir}"/system
doexe "${S}"/binaries/system/${EXE_NAME} || die "doexe failed"

games_make_wrapper ${PN} ./system/${EXE_NAME} ${dir}
doicon "${S}"/build/resources/0ad.png
make_desktop_entry "${dir}"/system/${EXE_NAME} "0 A.D."

prepgamesdirs
}

+ 110
- 0
games-strategy/0ad/0ad-11339_alpha9.ebuild View File

@@ -0,0 +1,110 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

WX_GTK_VER="2.8"

inherit eutils wxwidgets games

MY_PV="r${PV%_*}-alpha"
MY_P=${PN}-${MY_PV}

DESCRIPTION="A free, real-time strategy game"
HOMEPAGE="http://wildfiregames.com/0ad/"
SRC_URI="http://releases.wildfiregames.com/${MY_P}-unix-build.tar.xz"

LICENSE="GPL-2 LGPL-2.1 MIT CCPL-Attribution-ShareAlike-3.0 as-is"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+audio +editor fam pch test"

RDEPEND="
>=dev-lang/spidermonkey-1.8.5
dev-libs/boost
dev-libs/libxml2
~games-strategy/0ad-data-${PV}
media-libs/libpng:0
media-libs/libsdl[X,audio?,opengl,video]
net-libs/enet:1.3
net-misc/curl
sys-libs/zlib
virtual/jpeg
virtual/opengl
audio? ( media-libs/libogg
media-libs/libvorbis
media-libs/openal )
editor? ( x11-libs/wxGTK:2.8[X] )
fam? ( virtual/fam )
"
DEPEND="${RDEPEND}
dev-util/pkgconfig
test? ( dev-lang/perl )"

S=${WORKDIR}/${MY_P}

src_prepare() {
# respect flags for 3rd party fcollada
epatch "${FILESDIR}"/11339_alpha9-fcollada-makefile.patch
}

src_configure() {
cd build/workspaces || die

# custom configure script
local myconf
myconf="--without-nvtt"
use fam || myconf="${myconf} --without-fam"
use pch || myconf="${myconf} --without-pch"
use test || myconf="${myconf} --without-tests"
use audio || myconf="${myconf} --without-audio"

# don't use bundled sources
./update-workspaces.sh \
--with-system-nvtt \
--with-system-enet \
--with-system-mozjs185 \
$(use_enable editor atlas) \
--bindir="${GAMES_BINDIR}" \
--libdir="$(games_get_libdir)"/${PN} \
--datadir="${GAMES_DATADIR}"/${PN} \
${myconf} || die
}

src_compile() {
cd build/workspaces/gcc || die

emake CONFIG=Release verbose=1 || die
}

src_test() {
cd binaries/system || die

if use nvtt ; then
./test || die "test phase failed"
else
ewarn "Skipping tests because USE nvtt is disabled"
fi
}

src_install() {
# bin
dogamesbin binaries/system/pyrogenesis || die

# libs
exeinto "$(games_get_libdir)"/${PN}
doexe binaries/system/libCollada.so || die
if use editor ; then
doexe binaries/system/libAtlasUI.so || die
fi

# other
dodoc binaries/system/readme.txt || die
doicon build/resources/${PN}.png || die
games_make_wrapper ${PN} "${GAMES_BINDIR}/pyrogenesis"
make_desktop_entry ${PN} ${PN} ${PN}

# permissions
prepgamesdirs
}

+ 127
- 0
games-strategy/0ad/0ad-99999.ebuild View File

@@ -0,0 +1,127 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

WX_GTK_VER="2.8"

inherit eutils subversion wxwidgets games

MY_PV="r${PV%_*}-alpha"
MY_P=${PN}-${MY_PV}

DESCRIPTION="A free, real-time strategy game"
HOMEPAGE="http://wildfiregames.com/0ad/"
ESVN_REPO_URI="http://svn.wildfiregames.com/public/ps/trunk"

LICENSE="GPL-2 LGPL-2.1 MIT CCPL-Attribution-ShareAlike-3.0 as-is"
SLOT="0"
KEYWORDS=""
IUSE="+audio +editor fam +pch test"

RDEPEND="
>=dev-lang/spidermonkey-1.8.5
dev-libs/boost
dev-libs/libxml2
!games-strategy/0ad-data
media-libs/libpng:0
media-libs/libsdl[X,audio?,opengl,video]
net-libs/enet:1.3
net-misc/curl
sys-libs/zlib
virtual/jpeg
virtual/opengl
audio? ( media-libs/libogg
media-libs/libvorbis
media-libs/openal )
editor? ( x11-libs/wxGTK:2.8[X] )
fam? ( virtual/fam )
"
DEPEND="${RDEPEND}
dev-util/pkgconfig
test? ( dev-lang/perl )"

S=${WORKDIR}/trunk

pkg_setup() {
games_pkg_setup

if ! use pch ; then
eerror "pch useflag is potentially broken"
eerror "see http://trac.wildfiregames.com/ticket/1313"
fi
}

src_unpack() {
subversion_src_unpack
}

src_prepare() {
# respect flags for 3rd party fcollada
epatch "${FILESDIR}"/11339_alpha9-fcollada-makefile.patch
}

src_configure() {
cd build/workspaces || die

# custom configure script
local myconf
myconf="--without-nvtt"
use fam || myconf="${myconf} --without-fam"
use pch || myconf="${myconf} --without-pch"
use test || myconf="${myconf} --without-tests"
use audio || myconf="${myconf} --without-audio"

# don't use bundled sources
./update-workspaces.sh \
--with-system-nvtt \
--with-system-enet \
--with-system-mozjs185 \
$(use_enable editor atlas) \
--bindir="${GAMES_BINDIR}" \
--libdir="$(games_get_libdir)"/${PN} \
--datadir="${GAMES_DATADIR}"/${PN} \
${myconf} || die
}

src_compile() {
cd build/workspaces/gcc || die

emake CONFIG=Release verbose=1 || die
}

src_test() {
cd binaries/system || die

if use nvtt ; then
./test || die "test phase failed"
else
ewarn "Skipping tests because USE nvtt is disabled"
fi
}

src_install() {
# data
insinto "${GAMES_DATADIR}"/${PN}
doins -r binaries/data/* || die

# bin
dogamesbin binaries/system/pyrogenesis || die

# libs
exeinto "$(games_get_libdir)"/${PN}
doexe binaries/system/libCollada.so || die
if use editor ; then
doexe binaries/system/libAtlasUI.so || die
fi

# other
dodoc binaries/system/readme.txt || die
doicon build/resources/${PN}.png || die
games_make_wrapper ${PN} "${GAMES_BINDIR}/pyrogenesis"
make_desktop_entry ${PN} ${PN} ${PN}

# permissions
prepgamesdirs
}

+ 7
- 0
games-strategy/0ad/Manifest View File

@@ -0,0 +1,7 @@
AUX 11339_alpha9-fcollada-makefile.patch 1069 RMD160 d9155d60bd47eb83876f3b65c92d6c2384f87bdc SHA1 a04d8aea0c8ea6e13d0c123c5590eaf3b45d10cf SHA256 11ed3a1d83c2784d590ec047750cd1cc56932ad2e10203f70f72d19fe879464f
DIST 0ad-r10803-alpha-unix-build.tar.xz 8609092 RMD160 bab976f5f4b04c6256418293758a19fc6471fc40 SHA1 9c9ee04bf1327bfd9161f51b18180ec8d3c6547b SHA256 fbf91d8482267384f8fb3fdd8a71e79ed71d73489c531f814fca70840043b928
DIST 0ad-r10803-alpha-unix-data.tar.xz 264532800 RMD160 5dcdc8c2e01c6880b4a695e5380bc6824b8ecc42 SHA1 98d17a118d0a5cfe79140ddb2a24bfd3a376c28a SHA256 cb4d2b4c4ce1eadff4d34127664a6de02f9b062007275507d80d9ee6ebbae7d9
DIST 0ad-r11339-alpha-unix-build.tar.xz 8593664 RMD160 5e7fc6449f7bde30611880ac2575c7cd2ef021d2 SHA1 e44f8484ca7082b1a9f2761a48aa8f54c8e833d1 SHA256 1e69bc02c1af1bfbe30244467761d13e1aaff164fe583d962cc8e13faf4a56cb
EBUILD 0ad-10803.ebuild 3188 RMD160 cc08c1d288b3cb903d2ee5c9df1fe33b38cb7e3d SHA1 28c466764e7d3d4b20845a887d28781568365774 SHA256 d0997f7857468b5a68655ae327242f7e2392234ec3d40ff788f030be6e0a28f8
EBUILD 0ad-11339_alpha9.ebuild 2398 RMD160 beb996e92b1f19975464ae9f85cdfac1ef0818b3 SHA1 99cbae548eb1d790cd0fa39911c284b3a301cab8 SHA256 9e12c630db167088d27afc6716dbc932228fb9d7cc3d25386821af46d37c7a61
EBUILD 0ad-99999.ebuild 2666 RMD160 7023a0334f8f2584a7d98c19e7edcba06788bec6 SHA1 57ddc702b47bde6c753a894de57e47d8b830115e SHA256 69f8428f42ec755c7323d6f540b9ebb473dc1ce73be9d02a5cd3dbcf085fe479

+ 26
- 0
games-strategy/0ad/files/11339_alpha9-fcollada-makefile.patch View File

@@ -0,0 +1,26 @@
From: hasufell <julian.ospald@googlemail.com>
Date: Wed Apr 11 14:45:32 UTC 2012

FCollada Makefile does not respect CXX and flags

--- libraries/fcollada/src/Makefile
+++ libraries/fcollada/src/Makefile
@@ -7,14 +7,14 @@
PIC_FLAGS ?= -fpic
endif
-CXX := g++
-CXXFLAGS := -fvisibility=hidden -W -Wall -Wno-unused-parameter -Wno-unused-function $(OS_DEFINE) $(PIC_FLAGS) $(CPPFLAGS)
+CXX ?= g++
+CXXFLAGS += -fvisibility=hidden -W -Wall -Wno-unused-parameter -Wno-unused-function $(OS_DEFINE) $(PIC_FLAGS) $(CPPFLAGS)
CXXFLAGS_DEBUG := -O0 -g -D_DEBUG -DRETAIL
CXXFLAGS_RELEASE := -O1 -DNDEBUG -DRETAIL
# (-O2 with gcc 4.3 causes linker errors when using this library, for unknown reasons, so stick with -O1)
CXXFLAGS_TEST := -O0 -g -D_DEBUG
-LIBS := `pkg-config libxml-2.0 --libs`
-INCLUDES := -IFCollada `pkg-config libxml-2.0 --cflags`
+LIBS += `pkg-config libxml-2.0 --libs`
+INCLUDES += -IFCollada `pkg-config libxml-2.0 --cflags`
INCLUDES_TEST := -IFCollada/FColladaTest $(INCLUDES)
# FCollada is not aliasing-safe, so disallow dangerous optimisations

+ 3
- 0
media-tv/v4l2ucp/Manifest View File

@@ -0,0 +1,3 @@
DIST v4l2ucp-2.0.2.tar.bz2 41380 RMD160 c82e139f5733843087832968a8c11df64ab93a1b SHA1 12960ae7b8bceaff017ac26d377fe4ef13628289 SHA256 e525add8788fa9ce613705a2a88947d4d1ef1c2bde8aa9f3e8ef19207271c1be
EBUILD v4l2ucp-2.0.2.ebuild 423 RMD160 0928c2743a7ae76136cf7d7da89f9f6bec6198c2 SHA1 b77a2e7f45ae41c6b480bd5b01bc1ae9a96d8e68 SHA256 4f84dda44c6c8c828d0b395517f9a3dd4c3cf9f798a5d065fa4097765cf15091
MISC Manifest.bkp 397 RMD160 c29e3cc96a81fcf7dba1dfeb8f1a574f569222f1 SHA1 bd51a62c8b0c2e6130528891de918e626c300c28 SHA256 e650c23a79beac4ec35d06eb881e9af704a29d45ecb96984113a6be2b3230dc3

+ 19
- 0
media-tv/v4l2ucp/v4l2ucp-2.0.2.ebuild View File

@@ -0,0 +1,19 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2
inherit cmake-utils

DESCRIPTION="A universal control panel for all Video for Linux Two (V4L2)
devices"
HOMEPAGE="http://v4l2ucp.sf.net/"
SRC_URI="mirror://sourceforge/v4l2ucp/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="x11-libs/qt-gui:4
media-libs/libv4l"

+ 4
- 0
net-fs/smbnetfs/Manifest View File

@@ -0,0 +1,4 @@
AUX smbnetfs-0.5.3-0001-configure.in-allow-user-to-explicitly-enable-disable.patch 1621 RMD160 54363a670143d272a826855b126f65a331442fed SHA1 eff857afaab917a0d1e3bccfc900a4b3a067b559 SHA256 a3e9828460f0aec992640d274eec6d739ac569c3455c789e2a92ba3262928136
AUX smbnetfs-reconfigure_file_modes.patch 471 RMD160 3b2b1e7f04625ce175ca6439241adf2be5ad5a83 SHA1 5d7628e8303969335fc5600ebcb6682ccb8a5677 SHA256 ce225f4bcdeae325f9aed7b0a58e17df433593ba2c4bb71a8dc18e978268c59e
DIST smbnetfs-0.5.3.tar.bz2 135469 RMD160 5f3979e5f1b80d2a73e22050866d96fbc2e3b793 SHA1 d9717228c8b540470a180c693e229a6c59662cfb SHA256 e61d5acb2f489ce52505cb5c04724ba82f8fd3674ba185b2b0c9d7bb9cde5253
EBUILD smbnetfs-0.5.3-r99.ebuild 1128 RMD160 06e10dcfa1d7779dc171a060fa9fe7ee445dfb46 SHA1 364355fe69254154a4a386f0825195290c5723dd SHA256 6e31016d811f6b0c7bab9a31099b5481b0b211e3f319c5a45a4ad8e085596e60

+ 47
- 0
net-fs/smbnetfs/files/smbnetfs-0.5.3-0001-configure.in-allow-user-to-explicitly-enable-disable.patch View File

@@ -0,0 +1,47 @@
From ec83a6c130bdfc869d28f9bce8ce100167861266 Mon Sep 17 00:00:00 2001
From: Sergei Trofimovich <slyfox@gentoo.org>
Date: Sat, 28 Aug 2010 15:10:43 +0300
Subject: [PATCH] configure.in: allow user to explicitly enable/disable gnome-keyring support

Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
---
configure.in | 22 +++++++++++++++++-----
1 files changed, 17 insertions(+), 5 deletions(-)

diff --git a/configure.in b/configure.in
index 4738bb6..8dab68e 100644
--- a/configure.in
+++ b/configure.in
@@ -87,12 +87,24 @@ CFLAGS="$CFLAGS -D_REENTRANT -D_GNU_SOURCE -DFUSE_USE_VERSION=26 $FUSE_CFLAGS"
dnl *******************************
dnl *** Tests for gnome-keyring ***
dnl *******************************
-PKG_CHECK_MODULES(GNOME_KEYRING, [gnome-keyring-1 >= 2.28],
- [AC_DEFINE([HAVE_GNOME_KEYRING], [],
- [use gnome-keyring as password storage])])
-LIBS="$LIBS $GNOME_KEYRING_LIBS"
-CFLAGS="$CFLAGS $GNOME_KEYRING_CFLAGS"
+AC_ARG_WITH(gnome-keyring,
+ [AS_HELP_STRING(--with-gnome-keyring=@<:@no/yes@:>@,
+ use gnome-keyring as password storage @<:@default=auto@:>@)],
+ ,
+ [with_gnome_keyring=maybe])
+
+if test x"$with_gnome_keyring" != xno; then
+ PKG_CHECK_MODULES(GNOME_KEYRING, [gnome-keyring-1 >= 2.28],
+ [AC_DEFINE([HAVE_GNOME_KEYRING], [],
+ [use gnome-keyring as password storage])],
+ [# mandatory depend
+ if test x"$with_gnome_keyring" = xyes; then
+ AC_MSG_ERROR([unable to find usable gnome-keyring])
+ fi])
+ LIBS="$LIBS $GNOME_KEYRING_LIBS"
+ CFLAGS="$CFLAGS $GNOME_KEYRING_CFLAGS"
+fi
dnl ******************************
dnl *** Tests for libsmbclient ***
--
1.7.1


+ 11
- 0
net-fs/smbnetfs/files/smbnetfs-reconfigure_file_modes.patch View File

@@ -0,0 +1,11 @@
--- a/src/reconfigure.c 2012-03-01 17:38:19.382944425 +0400
+++ b/src/reconfigure.c 2012-03-01 17:36:12.865014080 +0400
@@ -592,7 +592,7 @@
ok_permission = 0;
if (fstat(fileno(file), &st) == 0)
- ok_permission = ((st.st_uid == getuid()) && ((st.st_mode & 0177) == 0));
+ ok_permission = (/*(st.st_uid == getuid()) && */((st.st_mode & 0117) == 0));
else DPRINTF(3, "Stat file %s error : %s\n", filename, strerror(errno));
fscanf(file, "%[\n]", s);

+ 46
- 0
net-fs/smbnetfs/smbnetfs-0.5.3-r99.ebuild View File

@@ -0,0 +1,46 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-fs/smbnetfs/smbnetfs-0.5.3.ebuild,v 1.1 2010/09/02 18:37:38 slyfox Exp $

EAPI=2
inherit eutils autotools

DESCRIPTION="FUSE filesystem for SMB shares"
HOMEPAGE="http://sourceforge.net/projects/smbnetfs"
SRC_URI="mirror://sourceforge/smbnetfs/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="gnome"

RDEPEND=">=sys-fs/fuse-2.3
>=net-fs/samba-3.2[smbclient]
gnome? ( gnome-base/gnome-keyring )"

DEPEND="${RDEPEND}
dev-util/pkgconfig
sys-devel/make"

src_prepare() {
epatch "${FILESDIR}/smbnetfs-reconfigure_file_modes.patch"
epatch "${FILESDIR}/smbnetfs-0.5.3-0001-configure.in-allow-user-to-explicitly-enable-disable.patch"
eautoreconf
}

src_configure() {
econf $(use_with gnome gnome-keyring) || die "econf failed"
}

src_install() {
emake install DESTDIR="${D}" || die "make install failed"
dodoc AUTHORS ChangeLog
}

pkg_postinst() {
elog
elog "For quick usage, exec:"
elog "'modprobe fuse'"
elog "'smbnetfs -oallow_other /mnt/samba'"
elog
}

+ 1
- 0
profiles/repo_name View File

@@ -0,0 +1 @@
backbone

+ 51
- 0
www-servers/nginx/Manifest View File

@@ -0,0 +1,51 @@
AUX nginx-0.8.16-libatomic.patch 3971 RMD160 bf28ee1e0c75877bb402c4db89dadd8db65fb461 SHA1 7eb04572c4222044868f3a731d60bba0e3b87b0d SHA256 b93eaa75fb05b9497654a80ea23d2fde7861f918814695f17fb0e8d818480438
AUX nginx-0.8.27-zero_filesize_check.patch 2680 RMD160 852317ef558b5491f1b7b61795b7c771fe7038fe SHA1 7cf4b3b4ae4b5c861ef82d8944c1051230a14141 SHA256 9b9d8b5f826f2e13266da65203ab13cc71e9c866fa9271c543ddb1a680ab2940
AUX nginx-0.8.32-ey-balancer.patch 1977 RMD160 fff19fd36b4f29c74b92bb55e6b1366163703b5f SHA1 844b771f567d4f0318977de904ed1559e88cc5c4 SHA256 2f254cdf0e95357226aed112d0798f2dac14b8a4f1392119aac95f75c00a3fac
AUX nginx-1.1.5-zero_filesize_check.patch 2680 RMD160 27e1d8dd6480ff900533f5d372878e7bcc626151 SHA1 9551a082b4cab4dc44822aa1b5ffac5e98550c96 SHA256 84cd09e431d159ff58eb369abf7fe0a82c3968ad7ba72105e27378d27bd53ced
AUX nginx-r1 1645 RMD160 d032feec43e4ba31ac5b6fffec478ebbeb49db60 SHA1 49f0db3efaccd3cef545b8c68cfa557ca829352f SHA256 b263a663399d2897dfdf53226d45fc3707bc9230bd687b8003d075a48f60ecaf
AUX nginx.conf-r4 1410 RMD160 4b188bb03b12de3b38a82e13b1a2bb93848e8948 SHA1 e836c85e98e3b2c633818c286992d32a68c0b5ff SHA256 74d984512901fc9cfd13cac60df06cd468566aae367c35a3205e6daf7e7c32b6
AUX nginx.init-r2 1657 RMD160 a42538ae12cccfad1108fe2fca387ec666f4fd85 SHA1 7a0706894bed322d8b5814de98bca56d48c458d0 SHA256 9fceee69794de55b6da24ff2d11c72f6bc86339e7088c644b165dc35a9d5afa1
AUX nginx.logrotate 364 RMD160 9fdfd2ea2f49b8dba20a030d893e34779bb32364 SHA1 4ab07992fa5c64f753e3643e1b51fcab4dec6ccf SHA256 9e3e090dfd10861d5f9b279e19113ce8d05caf9f33d488f6aabf9f19ac0cf925
AUX passenger-3.0.1-cflags.patch 1005 RMD160 b48c9a96997277059566f1fd88187006fe8a161f SHA1 2e9eea3bc2c5c55475c59cd884507e3af3c65b42 SHA256 138280e03bfc3314bf50d43dfaa697aa09027d108fc39c8572f06d786dc7f202
AUX passenger-3.0.1-missing-include.patch 340 RMD160 5e314c6ec809a37c898eed9166a1d0c7e71af41b SHA1 c43aff0bce51143c84f0b24857c4bdec2df161f0 SHA256 a41a53f893ac7737b520d1fec0f2490986aae09afe38d79ab540c141322da7eb
AUX passenger-CFLAGS.patch 646 RMD160 12f1e5f80fd2694fed612226561670f9a0f7f556 SHA1 1f9e2df74069a8d863e850a0e7e13bd0e8fc8fcb SHA256 42b5221b418df055cd51d03057d92fb93c4f1bbca56a1ea35cc6f5c5d9e1953d
DIST agentzh-rds-json-nginx-module-9cf3bef.tar.gz 71634 RMD160 18865286e5b66ae57147cf1da1820ead0da1ad00 SHA1 bab40f2f812b99518f01550235d9541fa744151d SHA256 8f015176535fdfe723621a077df22eb70422f327f1ee118f12133275aafd8775
DIST agentzh-xss-nginx-module-58732b0.tar.gz 62283 RMD160 891685143ad62acaf637220daa776d4d71c02bbf SHA1 001870037c3cac7ed7e4bd4934516e63859bdd4a SHA256 82d03a6d5d43ebccd9650a18e9dbab30c641e278bcf30766036edfb897d6f5e0
DIST chaoslawful-drizzle-nginx-module-aa3269a.tar.gz 97581 RMD160 6de55e83ebfeb791c088c328c95897329cef12c0 SHA1 2f32ec653c5bb6463ba172d8fc82225d14684238 SHA256 6193d8dce4cde4ccebbdb5089cfbc7c5f2ab598a199dc8a1037b28f66265c173
DIST nginx-0.8.30.tar.gz 617971 RMD160 5cb7d1c929458c3463954a8ec1af308d47d63740 SHA1 32c018b5c9cbc6d487125d7cbee3e131e08e0d0e SHA256 ed79a8201299ae90181d4623004ed5329054e3a78291e5e416a9341e036353d5
DIST nginx-0.8.42.tar.gz 642593 RMD160 b60c271071f9796b5f38c2136c6e2e653292ef71 SHA1 daf0b6d2f0c943c4602da94a29cba285a5a72e06 SHA256 9f9687f459a753719bf1668fba30b4cdfb2c892a0410b0b304fa663bfb276dbd
DIST nginx-0.8.55.tar.gz 647824 RMD160 681f458d1b02a07c7cecf18b341f6868c9d95d65 SHA1 c105dc35ba01990e2508b21381d180d034c9ed43 SHA256 18ff555acb4220cb4db0f704224749d9b535343fe84b9f7c2de8645296e09301
DIST nginx-1.0.10.tar.gz 686011 RMD160 875082ff6e9197cc26adf4ee51eeda34b9531e29 SHA1 01304d44048aa57944e935dda8523afd5e5d1e23 SHA256 7221fdb0f2a94875252cb3c406a2cd5895d9bc57874fc1b4f588964fd3361e3c
DIST nginx-1.0.11.tar.gz 691501 RMD160 49d8602cd5cb557fd5847fa8c1a9629f4e6d91ab SHA1 c06144214144b61358ccf785e99f751b8ca0a3bb SHA256 4a382de6b89ec7eae03bfc9f9716bca5567993d0ae90fbd5f75c1ea598f7d722
DIST nginx-1.0.9.tar.gz 685717 RMD160 db2b4d8df237c11c081fb6910a460cc0f30705f9 SHA1 f926bc18170177d0b7fc0ecbf5cdd5103f4c20d7 SHA256 e834b6f202b786f3b985315c24dcbd67c619d563ea03329d75a9ac667e138fff
DIST nginx-1.1.10.tar.gz 701527 RMD160 444cfeb28b9b4af828acf9281e951c70a8350d66 SHA1 207ae6692bfe8e758ef5fcfa4cf1452193253b6a SHA256 ffd0953394be8c9e330c7440240b18b0e265529d0d091568788a6777f60a4735
DIST nginx-1.1.11.tar.gz 704239 RMD160 8eef7fa6fea1834329b531167130a8102b817747 SHA1 73d65404879d5c130149d9147a16d724b08db62c SHA256 0350274c7b072293f98166a44597e7dddd2c249a1be6bfbeafd97868f49b01a1
DIST nginx-1.1.12.tar.gz 707120 RMD160 1d09c3b17ee27774657c5be32f7fdcc20252c0b0 SHA1 78e8de01206fa5a150c3494ed313ea1d6b74353a SHA256 0d00f0f928bc8637f200de7bc405ebb95730c923df208624ea56529be44c08f9
DIST nginx-1.1.7.tar.gz 693853 RMD160 a38f6eeba036c23e0b027305b934e362c7d800e4 SHA1 626f82cd6690d9c0705c897b20942ebafa7094ca SHA256 a1c0f16595a03757c6c5cc6bc17af6cb9059fc8d1681c2e0431c7bfb72fd0bf8
DIST nginx-1.1.8.tar.gz 695829 RMD160 60a8ddd0885b7cb08d5eb1f526dd40f4e4614abd SHA1 e93c4b48379c0240fd4c7af8982faa3c4a7c834f SHA256 2f5d2d08fa59043aaae45c72c16ff052fabe1f5ba95fe5475d4994a5a55c9945
DIST nginx_accept_language_module-20081217.tbz2 3297 RMD160 97df45d7a94ef906dcbaa69c800345993281b291 SHA1 32713b980b45830cfcec75ac7fdf8f4d43e1176e SHA256 95c431a08bdac717db9c386b2ae1d5d8c48eb9c681c7303bb25fcdcbeeb01ad4
DIST nginx_http_push_module-0.692.tar.gz 29119 RMD160 9d2be16074cf28115af0f1d8f3646937cda649ad SHA1 72103084cad8f4d3d9a49a6b04cf780e4541605d SHA256 64868708071aa21dbc4c7a07d149dd6ec9108fb7eaf2aad5ad069406151f17fe
DIST nginx_upload_module-2.2.0.tar.gz 25796 RMD160 5734af837be3fe8ec444a7e5e7f6707118594098 SHA1 93d6e83e613a0ce2ed057a434b344fa1b6609b47 SHA256 b1c26abe0427180602e257627b4ed21848c93cc20cefc33af084983767d65805
DIST ngx-http-headers-more-0.15.tar.gz 22738 RMD160 2200ab529a086dd6bcf11a9a0470a4d05de7c824 SHA1 12bab1bbcecf57c410a812f5a7eebac49ff317f8 SHA256 d5ada29c15ff112c39599e3b245450ef785bb096c6724ecd8eaf1699b06e10e2
DIST ngx-http-headers-more-0.16rc4.tar.gz 23578 RMD160 a0e0f99aa8fff61631f9cf77ee7ca6e147167f68 SHA1 12fc6a81e029eedfdcf32100ffe47a9b6d837a7d SHA256 e32c1e4eec68352e58184895eb96b7d0705ec0d8df75a1bcbe11fd2f46d5e065
DIST ngx_cache_purge-1.3.tar.gz 6434 RMD160 d9f5d225b99f3164e80a85b7c7b4bee8bb16ea0e SHA1 ec52989ed545ef2be58414e747e592004794eba6 SHA256 256eec780f0f8f09ed10d5b0e4c3c32883a55d96e814fa0390b880d20745fcdb
DIST ngx_cache_purge-1.4.tar.gz 6899 RMD160 b851f9d7c829152a6675d7e83df372e4bd894170 SHA1 35c45729183daa66b60741828a42492e06597da3 SHA256 4764e3d565445644f4a6b183cb9e987fce535396b00d68dc923bb35731a88886
DIST ngx_cache_purge-1.5.tar.gz 7149 RMD160 7b7d351ea91ff3d4161296625a5a4992eee8b7d4 SHA1 f5717a2aee2cc174180627f9bf74a7c2f906047d SHA256 4b9cf48c0cf8f13150dfc329a889c221f6206a44aa9dcf8fa2f347abce55995c
DIST ngx_http_redis-0.3.1.tar.gz 6012 RMD160 2a8a7ca4b62b33558b249aa19f7d5f34f77a2801 SHA1 c5f5383a8e042b2131423014376ce4283cbc85a9 SHA256 b66291bf7a034baf351fc4d0e57558d672bed0582fcfa9008eba4acf6b4486c4
DIST ngx_http_redis-0.3.5.tar.gz 11373 RMD160 1f8b074b9a6359fda25aa895151f19b4606bd9fc SHA1 6cae6c986b306b6fedac3e0abedd80da5ea418fd SHA256 5398805bbc790b8ae5ddb5079cf726df63c8c206bbf9a3a4b035412194aac82e
DIST ngx_slowfs_cache-1.6.tar.gz 10972 RMD160 e1d10851db4a55fc465665caa3f6989d142af2d3 SHA1 072d06b7547629b244bebeef7df7425567f264c9 SHA256 cc0505dbba30153691ff7b3a7353804d5ceb9a519a407b938cae49e9913a7bcc
DIST ngx_upload_progress-0.8.2.tar.gz 16559 RMD160 3aadb9bf9b15b3810d1acb466d331ea5bdae6062 SHA1 cbff2734cccc3ac93b3422a9a01547af29f9c11d SHA256 cab70d2e300cfa0d9d7d3b34bf27810533ecbf11dddcd5078a4754cfab337c95
DIST ngx_upload_progress-0.8.3.tar.gz 16694 RMD160 b3c8835a270cda2224f5be35f1afb818821609b3 SHA1 0edae535d1efd50524d9947acaebe3979b06fcfb SHA256 f391da7fd1a89bd65e852182b6cbc746289cd10c83b211be18e703ff3e3986ae
DIST passenger-3.0.11.tar.gz 2378398 RMD160 4e66832d825cb1f5bf06d117d4285c0b0ab54c12 SHA1 6406ecd47b4f100eb98a2cac611793aab15cd31e SHA256 7bbabfafb9d7f4e1beb6a231dea1fe68d540910ceafec6469f51187a43d8ee4e
DIST passenger-3.0.9.tar.gz 2365647 RMD160 51b3ec35d56bb93b7b2fd24f3fe5d64a5c60306a SHA1 dd158388786c606f71dc14014f07a43b6e13a34a SHA256 40a15c46bd0be13a8d55931cc526c5dae740f7c02d2bfc40a82075967131d7f6
EBUILD nginx-0.8.30.ebuild 3762 RMD160 5d4dcc243fcf0d58f9f81214b9f14324278a1580 SHA1 3e20883b0eb394c6072f5823678c820850f58fc2 SHA256 2581f77823cd3dc686e2c8c4d221069353f9203c05f3e14af899b0d0192cffba
EBUILD nginx-0.8.42.ebuild 316 RMD160 bd39c5442a3293d1a0991661ed50621e79b15cb1 SHA1 85ea40e26abed6bc403283a5b87f7ae1cddeab86 SHA256 4581b110749cc9c23a10bdcd49fefea723f298e611288f7fd88b467023dd6ce4
EBUILD nginx-0.8.55.ebuild 10898 RMD160 2864c98dbc0fb62590bb3340d62fc7f372cf488f SHA1 6f5b50e5d3ea9e96b9c70196e336f12c97d4f562 SHA256 2d4b75e2b45543bcac94dd0842c7fa1c7817ab62aa04da0b953ff92b9cc1aac0
EBUILD nginx-1.0.10.ebuild 10836 RMD160 035357f72d1a7c0857ec5ae261c28aefc0b6b486 SHA1 6faee3877bdf55b440e799b0cd1d48f538584ef0 SHA256 8b0097e0e08acfa93502570c2b794939b88f7e03f4a394091190f42778956bd9
EBUILD nginx-1.0.11.ebuild 10840 RMD160 2b4b9ff8b927b5fdbf09f4127e540ebaa0a29e4f SHA1 939b8dba0807fc90cb8edd05198d263a3a41f791 SHA256 1888cb0314f6dc8a0c1fa3161f1f0413189605363ede657f8f13af3759b27f61
EBUILD nginx-1.0.9.ebuild 10836 RMD160 6e58c31a07d75dbbcc55099d1d22dda5dbeab401 SHA1 81b8e6e469845b3f735dd5bba4b8321b68c08105 SHA256 d430d7679875885f6b7af46c3ac61fb52444fa7e2c158185068d9773e6a75f56
EBUILD nginx-1.1.10.ebuild 12768 RMD160 5374ca8476a94d83b88ec641901c3681fa948e75 SHA1 50f6f1ba22bdaee0d5329dd5a694f52e07f90e17 SHA256 ae25aca34e984a2a435710b5c7f4c9eb27fb6d93bd2955b81410b6bc02e10f45
EBUILD nginx-1.1.11.ebuild 12769 RMD160 2705a56d9977e6edff81b6dedada20ce1dcdb6b2 SHA1 d71f2867144cc82f3b56e09491b9d6c685e1469f SHA256 e0bbf07bbc9166a5f5cd00b0d21a40cd5939941ae784316a9093d9993a1bb33e
EBUILD nginx-1.1.12.ebuild 12843 RMD160 795b44cdcc4157fc6a5cb005561f8eb01e71005f SHA1 c4c780c11a67966298fdf91dbde29579b073d673 SHA256 82a29a23c033945813f7a9a436fea5792caa7f41eb719a7526a012cbc3596650
EBUILD nginx-1.1.7.ebuild 12765 RMD160 bb77eb299e952d6b58d7c89723039c38d90f11c1 SHA1 38478cc65a908a43a231cb714068e111a8ba4908 SHA256 7a01a99104a31f481938aed2f65b842c23d83a3c6cd2be3304d2a6d1d0aa574e
EBUILD nginx-1.1.8.ebuild 12765 RMD160 a1dcc84ed0cdc51d50b925b75074cdd32d5b0220 SHA1 64ab4b1c9ed450aa160547bc4edae0c7ddf5c203 SHA256 d0b0800d2f6a311f0b2b76d6b1cb4593c8b7bd8af89f9baf8ff3c86854e495cb

+ 81
- 0
www-servers/nginx/files/nginx-1.1.5-zero_filesize_check.patch View File

@@ -0,0 +1,81 @@
diff --git a/src/http/modules/ngx_http_rewrite_module.c b/src/http/modules/ngx_http_rewrite_module.c
index 5164734..6daf4b7 100644
--- a/src/http/modules/ngx_http_rewrite_module.c
+++ b/src/http/modules/ngx_http_rewrite_module.c
@@ -813,6 +813,11 @@ ngx_http_rewrite_if_condition(ngx_conf_t *cf, ngx_http_rewrite_loc_conf_t *lcf)
return NGX_CONF_OK;
}
+ if (p[1] == 'z') {
+ fop->op = ngx_http_script_file_empty;
+ return NGX_CONF_OK;
+ }
+
if (p[0] == '!') {
if (p[2] == 'f') {
fop->op = ngx_http_script_file_not_plain;
@@ -833,6 +838,11 @@ ngx_http_rewrite_if_condition(ngx_conf_t *cf, ngx_http_rewrite_loc_conf_t *lcf)
fop->op = ngx_http_script_file_not_exec;
return NGX_CONF_OK;
}
+
+ if (p[2] == 'z') {
+ fop->op = ngx_http_script_file_not_empty;
+ return NGX_CONF_OK;
+ }
}
ngx_conf_log_error(NGX_LOG_EMERG, cf, 0,
diff --git a/src/http/ngx_http_script.c b/src/http/ngx_http_script.c
index a703f08..4a82b6d 100644
--- a/src/http/ngx_http_script.c
+++ b/src/http/ngx_http_script.c
@@ -1520,12 +1520,14 @@ ngx_http_script_file_code(ngx_http_script_engine_t *e)
case ngx_http_script_file_dir:
case ngx_http_script_file_exists:
case ngx_http_script_file_exec:
+ case ngx_http_script_file_not_empty:
goto false_value;
case ngx_http_script_file_not_plain:
case ngx_http_script_file_not_dir:
case ngx_http_script_file_not_exists:
case ngx_http_script_file_not_exec:
+ case ngx_http_script_file_empty:
goto true_value;
}
@@ -1580,6 +1582,18 @@ ngx_http_script_file_code(ngx_http_script_engine_t *e)
goto false_value;
}
goto true_value;
+
+ case ngx_http_script_file_empty:
+ if (of.size == 0) {
+ goto true_value;
+ }
+ goto false_value;
+
+ case ngx_http_script_file_not_empty:
+ if (of.size > 0) {
+ goto false_value;
+ }
+ goto true_value;
}
false_value:
diff --git a/src/http/ngx_http_script.h b/src/http/ngx_http_script.h
index c5b1e40..7790b53 100644
--- a/src/http/ngx_http_script.h
+++ b/src/http/ngx_http_script.h
@@ -171,7 +171,9 @@ typedef enum {
ngx_http_script_file_exists,
ngx_http_script_file_not_exists,
ngx_http_script_file_exec,
- ngx_http_script_file_not_exec
+ ngx_http_script_file_not_exec,
+ ngx_http_script_file_empty,
+ ngx_http_script_file_not_empty
} ngx_http_script_file_op_e;

+ 71
- 0
www-servers/nginx/files/nginx-r1 View File

@@ -0,0 +1,71 @@
#!/sbin/runscript
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/nginx/files/nginx-r1,v 1.1 2006/07/04 16:58:38 voxus Exp $

opts="${opts} upgrade reload configtest"

depend() {
need net
use dns logger
}

start() {
configtest || return 1
ebegin "Starting nginx"
start-stop-daemon --start --pidfile /var/run/nginx.pid \
--exec /usr/sbin/nginx -- -c /etc/nginx/nginx.conf
eend $? "Failed to start nginx"
}

stop() {
configtest || return 1
ebegin "Stopping nginx"
start-stop-daemon --stop --pidfile /var/run/nginx.pid
eend $? "Failed to stop nginx"
rm -f /var/run/nginx.pid
}

reload() {
configtest || return 1
ebegin "Refreshing nginx' configuration"
kill -HUP `cat /var/run/nginx.pid` &>/dev/null
eend $? "Failed to reload nginx"
}

upgrade() {
configtest || return 1
ebegin "Upgrading nginx"

einfo "Sending USR2 to old binary"
kill -USR2 `cat /var/run/nginx.pid` &>/dev/null

einfo "Sleeping 3 seconds before pid-files checking"
sleep 3

if [ ! -f /var/run/nginx.pid.oldbin ]; then
eerror "File with old pid not found"
return 1
fi

if [ ! -f /var/run/nginx.pid ]; then
eerror "New binary failed to start"
return 1
fi

einfo "Sleeping 3 seconds before WINCH"
sleep 3 ; kill -WINCH `cat /var/run/nginx.pid.oldbin`

einfo "Sending QUIT to old binary"
kill -QUIT `cat /var/run/nginx.pid.oldbin`

einfo "Upgrade completed"

eend $? "Upgrade failed"
}

configtest() {
ebegin "Checking nginx' configuration"
/usr/sbin/nginx -c /etc/nginx/nginx.conf -t
eend $? "failed, please correct errors above"
}

+ 72
- 0
www-servers/nginx/files/nginx.conf-r4 View File

@@ -0,0 +1,72 @@
user nginx nginx;
worker_processes 1;

error_log /var/log/nginx/error_log info;

events {
worker_connections 8192;
use epoll;
}

http {
include /etc/nginx/mime.types;
default_type application/octet-stream;

log_format main
'$remote_addr - $remote_user [$time_local] '
'"$request" $status $bytes_sent '
'"$http_referer" "$http_user_agent" '
'"$gzip_ratio"';
client_header_timeout 10m;
client_body_timeout 10m;
send_timeout 10m;

connection_pool_size 256;
client_header_buffer_size 1k;
large_client_header_buffers 4 2k;
request_pool_size 4k;

gzip on;
gzip_min_length 1100;
gzip_buffers 4 8k;
gzip_types text/plain;

output_buffers 1 32k;
postpone_output 1460;

sendfile on;
tcp_nopush on;
tcp_nodelay on;

keepalive_timeout 75 20;

ignore_invalid_headers on;

index index.html;

server {
listen 127.0.0.1;
server_name localhost;

access_log /var/log/nginx/localhost.access_log main;
error_log /var/log/nginx/localhost.error_log info;

root /var/www/localhost/htdocs;
}

##ssl portion
# server {
# listen 127.0.0.1:443;
# server_name localhost;
#
# ssl on;
# ssl_certificate /etc/ssl/nginx/nginx.pem;
# ssl_certificate_key /etc/ssl/nginx/nginx.key;
#
# access_log /var/log/nginx/localhost.ssl_access_log main;
# error_log /var/log/nginx/localhost.ssl_error_log info;
#
# root /var/www/localhost/htdocs;
# }
}

+ 71
- 0
www-servers/nginx/files/nginx.init-r2 View File

@@ -0,0 +1,71 @@
#!/sbin/runscript
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/nginx/files/nginx.init-r2,v 1.1 2010/01/03 19:51:41 djc Exp $

opts="${opts} upgrade reload configtest"

depend() {
need net
use dns logger netmount
}

start() {
configtest || return 1
ebegin "Starting nginx"
start-stop-daemon --start --pidfile /var/run/nginx.pid \
--exec /usr/sbin/nginx -- -c /etc/nginx/nginx.conf
eend $? "Failed to start nginx"
}

stop() {
configtest || return 1
ebegin "Stopping nginx"
start-stop-daemon --stop --pidfile /var/run/nginx.pid
eend $? "Failed to stop nginx"
rm -f /var/run/nginx.pid
}

reload() {
configtest || return 1
ebegin "Refreshing nginx' configuration"
kill -HUP `cat /var/run/nginx.pid` &>/dev/null
eend $? "Failed to reload nginx"
}

upgrade() {
configtest || return 1
ebegin "Upgrading nginx"

einfo "Sending USR2 to old binary"
kill -USR2 `cat /var/run/nginx.pid` &>/dev/null

einfo "Sleeping 3 seconds before pid-files checking"
sleep 3

if [ ! -f /var/run/nginx.pid.oldbin ]; then
eerror "File with old pid not found"
return 1
fi

if [ ! -f /var/run/nginx.pid ]; then
eerror "New binary failed to start"
return 1
fi

einfo "Sleeping 3 seconds before WINCH"
sleep 3 ; kill -WINCH `cat /var/run/nginx.pid.oldbin`

einfo "Sending QUIT to old binary"
kill -QUIT `cat /var/run/nginx.pid.oldbin`

einfo "Upgrade completed"

eend $? "Upgrade failed"
}

configtest() {
ebegin "Checking nginx' configuration"
/usr/sbin/nginx -c /etc/nginx/nginx.conf -t
eend $? "failed, please correct errors above"
}

+ 11
- 0
www-servers/nginx/files/nginx.logrotate View File

@@ -0,0 +1,11 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/nginx/files/nginx.logrotate,v 1.2 2011/04/08 08:32:20 hollow Exp $

/var/log/nginx/*_log {
missingok
sharedscripts
postrotate
test -r /var/run/nginx.pid && kill -USR1 `cat /var/run/nginx.pid`
endscript
}

+ 24
- 0
www-servers/nginx/files/passenger-3.0.1-cflags.patch View File

@@ -0,0 +1,24 @@
diff --git a/build/config.rb b/build/config.rb
index 8905bd8..64199fb 100644
--- a/build/config.rb
+++ b/build/config.rb
@@ -24,11 +24,7 @@
OPTIMIZE = boolean_option("OPTIMIZE")
CC = string_option("CC", "gcc")
CXX = string_option("CXX", "g++")
-if OPTIMIZE
- OPTIMIZATION_FLAGS = "#{PlatformInfo.debugging_cflags} -O2 -DBOOST_DISABLE_ASSERTS".strip
-else
- OPTIMIZATION_FLAGS = "#{PlatformInfo.debugging_cflags} -DPASSENGER_DEBUG -DBOOST_DISABLE_ASSERTS".strip
-end
+OPTIMIZATION_FLAGS = "#{ENV['CXXFLAGS']} -DNDEBUG -DBOOST_DISABLE_ASSERTS".strip
# Extra compiler flags that should always be passed to the C/C++ compiler.
# Should be included last in the command string, even after PlatformInfo.portability_cflags.
@@ -39,4 +35,4 @@ EXTRA_CXXFLAGS = "-Wall #{OPTIMIZATION_FLAGS}".strip
EXTRA_LDFLAGS = ""
# Whether to use the vendored libev or the system one.
-USE_VENDORED_LIBEV = boolean_option("USE_VENDORED_LIBEV", true)
\ No newline at end of file
+USE_VENDORED_LIBEV = false

+ 12
- 0
www-servers/nginx/files/passenger-3.0.1-missing-include.patch View File

@@ -0,0 +1,12 @@
diff --git a/ext/common/RandomGenerator.h b/ext/common/RandomGenerator.h
index 4a72a5e..836bf66 100644
--- a/ext/common/RandomGenerator.h
+++ b/ext/common/RandomGenerator.h
@@ -26,6 +26,7 @@
#define _PASSENGER_RANDOM_GENERATOR_H_
#include <string>
+#include <cerrno>
#include <boost/noncopyable.hpp>
#include <boost/shared_ptr.hpp>

+ 15
- 0
www-servers/nginx/files/passenger-CFLAGS.patch View File

@@ -0,0 +1,15 @@
--- Rakefile.org 2009-10-15 18:45:30.000000000 +0100
+++ Rakefile 2009-10-16 12:17:25.000000000 +0100
@@ -39,11 +39,7 @@
CC = "gcc"
CXX = "g++"
LIBEXT = PlatformInfo.library_extension
-if OPTIMIZE
- OPTIMIZATION_FLAGS = "#{PlatformInfo.debugging_cflags} -O2 -DBOOST_DISABLE_ASSERTS"
-else
- OPTIMIZATION_FLAGS = "#{PlatformInfo.debugging_cflags} -DPASSENGER_DEBUG -DBOOST_DISABLE_ASSERTS"
-end
+OPTIMIZATION_FLAGS = "#{ENV['CXXFLAGS']} -DNDEBUG -DBOOST_DISABLE_ASSERTS"
# Extra compiler flags that should always be passed to the C/C++ compiler.
# Should be included last in the command string, even after PlatformInfo.portability_cflags.

+ 407
- 0
www-servers/nginx/nginx-1.1.12.ebuild View File

@@ -0,0 +1,407 @@
# Copyright 2011-2012 W-Mark Kubacki
# Distributed under the terms of the OSI Reciprocal Public License
# $Header: $

EAPI="4"

# Maintainer notes:
# - http_rewrite-independent pcre-support makes sense for matching locations without an actual rewrite
# - any http-module activates the main http-functionality and overrides USE=-http
# - keep the following requirements in mind before adding external modules:
# * alive upstream
# * sane packaging
# * builds cleanly
# - TODO: test the google-perftools module (included in vanilla tarball)

# prevent perl-module from adding automagic perl DEPENDs
GENTOO_DEPEND_ON_PERL="no"

# http_uploadprogress (https://github.com/masterzen/nginx-upload-progress-module, BSD-2 license)
HTTP_UPLOAD_PROGRESS_MODULE_PV="0.8.3"
HTTP_UPLOAD_PROGRESS_MODULE_P="ngx_upload_progress-${HTTP_UPLOAD_PROGRESS_MODULE_PV}"
HTTP_UPLOAD_PROGRESS_MODULE_SHA1="c7c663f"
HTTP_UPLOAD_PROGRESS_MODULE_URI="http://github.com/masterzen/nginx-upload-progress-module/tarball/v${HTTP_UPLOAD_PROGRESS_MODULE_PV}"

# http_headers_more (http://github.com/agentzh/headers-more-nginx-module, BSD license)
HTTP_HEADERS_MORE_MODULE_PV="0.16rc4"
HTTP_HEADERS_MORE_MODULE_P="ngx-http-headers-more-${HTTP_HEADERS_MORE_MODULE_PV}"
HTTP_HEADERS_MORE_MODULE_SHA1="6cd7ae8"
HTTP_HEADERS_MORE_MODULE_URI="http://github.com/agentzh/headers-more-nginx-module/tarball/v${HTTP_HEADERS_MORE_MODULE_PV}"

# http_passenger (http://www.modrails.com/, MIT license)
# TODO: currently builds some stuff in src_configure
PASSENGER_PV="3.0.11"
USE_RUBY="ruby18"
RUBY_OPTIONAL="yes"

# http_redis (http://wiki.nginx.org/HttpRedis)
HTTP_REDIS_MODULE_P="ngx_http_redis-0.3.5"

# http_push (http://pushmodule.slact.net/, MIT license)
HTTP_PUSH_MODULE_PV="0.692"
HTTP_PUSH_MODULE_P="nginx_http_push_module-${HTTP_PUSH_MODULE_PV}"
HTTP_PUSH_MODULE_URI="http://pushmodule.slact.net/downloads/${HTTP_PUSH_MODULE_P}.tar.gz"

# http_cache_purge (http://labs.frickle.com/nginx_ngx_cache_purge/, BSD-2 license)
HTTP_CACHE_PURGE_MODULE_PV="1.5"
HTTP_CACHE_PURGE_MODULE_P="ngx_cache_purge-${HTTP_CACHE_PURGE_MODULE_PV}"
HTTP_CACHE_PURGE_MODULE_URI="http://labs.frickle.com/files/${HTTP_CACHE_PURGE_MODULE_P}.tar.gz"

# HTTP Upload module from Valery Kholodkov
# (http://www.grid.net.ru/nginx/upload.en.html, BSD license)
HTTP_UPLOAD_MODULE_PV="2.2.0"
HTTP_UPLOAD_MODULE_P="nginx_upload_module-${HTTP_UPLOAD_MODULE_PV}"
HTTP_UPLOAD_MODULE_URI="http://www.grid.net.ru/nginx/download/${HTTP_UPLOAD_MODULE_P}.tar.gz"

# http_slowfs_cache (http://labs.frickle.com/nginx_ngx_slowfs_cache/, BSD-2 license)
HTTP_SLOWFS_CACHE_MODULE_PV="1.6"
HTTP_SLOWFS_CACHE_MODULE_P="ngx_slowfs_cache-${HTTP_SLOWFS_CACHE_MODULE_PV}"
HTTP_SLOWFS_CACHE_MODULE_URI="http://labs.frickle.com/files/${HTTP_SLOWFS_CACHE_MODULE_P}.tar.gz"

inherit eutils ssl-cert toolchain-funcs perl-module ruby-ng flag-o-matic

DESCRIPTION="Robust, small and high performance http and reverse proxy server"
HOMEPAGE="http://nginx.org/"
SRC_URI="http://nginx.org/download/${P}.tar.gz
nginx_modules_http_upload_progress? ( ${HTTP_UPLOAD_PROGRESS_MODULE_URI} -> ${HTTP_UPLOAD_PROGRESS_MODULE_P}.tar.gz )
nginx_modules_http_headers_more? ( ${HTTP_HEADERS_MORE_MODULE_URI} -> ${HTTP_HEADERS_MORE_MODULE_P}.tar.gz )
nginx_modules_http_passenger? ( mirror://rubyforge/passenger/passenger-${PASSENGER_PV}.tar.gz )
nginx_modules_http_redis? ( http://people.freebsd.org/~osa/${HTTP_REDIS_MODULE_P}.tar.gz )
nginx_modules_http_push? ( ${HTTP_PUSH_MODULE_URI} )
nginx_modules_http_cache_purge? ( ${HTTP_CACHE_PURGE_MODULE_URI} )
nginx_modules_http_upload? ( ${HTTP_UPLOAD_MODULE_URI} )
nginx_modules_http_slowfs_cache? ( ${HTTP_SLOWFS_CACHE_MODULE_URI} )
"
RESTRICT="primaryuri"

LICENSE="as-is BSD BSD-2 GPL-2 MIT"
SLOT="0"
KEYWORDS="amd64 ~ppc ~sparc x86 arm ~x86-fbsd"

NGINX_MODULES_STD="access auth_basic autoindex browser charset empty_gif fastcgi
geo gzip limit_req limit_zone map memcached proxy referer rewrite scgi ssi
split_clients upstream_ip_hash userid uwsgi"
NGINX_MODULES_OPT="addition dav degradation flv geoip gzip_static image_filter
mp4 perl random_index realip secure_link stub_status sub xslt"
NGINX_MODULES_MAIL="imap pop3 smtp"
NGINX_MODULES_3RD="
http_upload_progress
http_headers_more
http_passenger
http_redis
http_push
http_cache_purge
http_upload
http_slowfs_cache
"

IUSE="aio debug +http +http-cache ipv6 libatomic +pcre ssl vim-syntax"

for mod in $NGINX_MODULES_STD; do
IUSE="${IUSE} +nginx_modules_http_${mod}"
done

for mod in $NGINX_MODULES_OPT; do
IUSE="${IUSE} nginx_modules_http_${mod}"
done

for mod in $NGINX_MODULES_MAIL; do
IUSE="${IUSE} nginx_modules_mail_${mod}"
done

for mod in $NGINX_MODULES_3RD; do
IUSE="${IUSE} nginx_modules_${mod}"
done

CDEPEND="
pcre? ( >=dev-libs/libpcre-4.2 )
ssl? ( dev-libs/openssl )
http-cache? ( userland_GNU? ( dev-libs/openssl ) )
nginx_modules_http_geo? ( dev-libs/geoip )
nginx_modules_http_gzip? ( sys-libs/zlib )
nginx_modules_http_gzip_static? ( sys-libs/zlib )
nginx_modules_http_image_filter? ( media-libs/gd[jpeg,png] )
nginx_modules_http_perl? ( >=dev-lang/perl-5.8 )
nginx_modules_http_rewrite? ( >=dev-libs/libpcre-4.2 )
nginx_modules_http_secure_link? ( userland_GNU? ( dev-libs/openssl ) )
nginx_modules_http_xslt? ( dev-libs/libxml2 dev-libs/libxslt )
nginx_modules_http_passenger? (
$(ruby_implementation_depend ruby18)
>=dev-ruby/rubygems-0.9.0